<CsoundSynthesizer>
<CsLicense>
S P A T I A L I Z E   T E S T
Copyright (C) 2014 by Michael Gogins.

This code is licensed under the terms of the
GNU Lesser General Public License.

This code demonstrates my new modular system for
multi-channel, Ambisonics-based spatialization in
Csound.

Many thaks to Jan Jacob Hofmann for his advanced system
of spatialization in Csound, from which my code borrows much.

</CsLicense>
<CsOptions>
-m227 -d --midi-key=4 --midi-velocity=5 -RWfo spatialize_test.wav
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 10
nchnls = 2

#include "Spatialize.inc"

gk_BformatDecoder_SpeakerRig init 0
gk_Spatialize_SpeakerRigRadius init 5.0


connect "Droner", "outbformat", "BformatDecoder", "inbformat"
connect "SpatializingInstrument", "out", "SpatialReverb", "in"
alwayson "SpatialReverb"
alwayson "BformatDecoder"



instr Droner
ip4 = p5
ip6 = p6
asignal oscili  p4, p5
aglobalreverbsend init 0
aspatializedsignal[] init 16
aspatializedsignal, aglobalreverbsend Spatialize asignal, 5, 0, 0
outletv "outbformat", aspatializedsignal
endin


</CsInstruments>
<CsScore>
f 0 300
{ 400 COUNT
  { 8 PARTIAL
      i2  [5 * $COUNT.]  [10]  [500 + (~ * 200)]  [800 + (200 * $COUNT.) + ($PARTIAL. * 20)]
  }
}
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
